package org.cocktail.feve.components.fichelolf;
// Generated by the WOLips TemplateEngine Plug-in at 16 nov. 2005 15:22:19

import org.cocktail.feve.components.common.A_FeveSubMenuPage;
import org.cocktail.fwkcktlgrh.common.metier.EOAffectationDetail;
import org.cocktail.fwkcktlgrh.common.metier.EOFicheLolf;
import org.cocktail.fwkcktlgrh.common.metier.interfaces.IFicheLolf;
import org.cocktail.fwkcktlgrh.common.metier.util.UtilFiche;

import com.webobjects.appserver.WOContext;
import com.webobjects.foundation.NSArray;


public class PageFicheLolf extends A_FeveSubMenuPage {
  // variables entrantes
  private IFicheLolf inputLaFicheLolf;
  private IFicheLolf inputLaFicheLolfPrecedente;
  
  /**
   * On affiche une message d'entete pour chaque fiche
   * rappelant sur qui on travaille
   */
  public String enteteDetail;

  public PageFicheLolf(WOContext context) {
    super(context);
  }

  private final static String MENU_ITEM_AGENT 				= "Agent";
  private final static String MENU_ITEM_DESCRIPTION 	= "Description";
  
  // gestion du menu
     
  public NSArray getMenuItems() {
  	return new NSArray(new String[]{
  			MENU_ITEM_AGENT,MENU_ITEM_DESCRIPTION}); 
  }
 
  // setter
  
  /**
   * detection du changement du point d'entree -> RAZ
   */
  public void setInputLaFicheLolf(EOFicheLolf value) {
    inputLaFicheLolfPrecedente = inputLaFicheLolf;
    inputLaFicheLolf = value;
    if (inputLaFicheLolf != inputLaFicheLolfPrecedente) {
      setSelectedItemMenu(null);
    }
    // entete pour afficher sur qui on travaille
    EOAffectationDetail recAffectationDetail = ((UtilFiche)value).toAffectationDetailActuelleSinonDerniere();
  	enteteDetail = (recAffectationDetail!= null && recAffectationDetail.toAffectation() != null ?
    		recAffectationDetail.toAffectation().toIndividu().display() +" / ": 
    		"")+ value.valueForKey("display");
  }


  // getters

  public IFicheLolf inputLaFicheLolf() { return inputLaFicheLolf; }
  
  // boolean interface 
  public boolean isPageFlo1()         {   return getSelectedItemMenu().equals(getMenuItems().objectAtIndex(0)); }
  public boolean isPageFlo2()         {   return getSelectedItemMenu().equals(getMenuItems().objectAtIndex(1)); }

}